export type IconType = 'text' | 'custom' | 'emoji' | 'collapse';
export declare class TableCell {
  private element;
  isDense: boolean;
  type?: string;
  sortable: boolean;
  renderContent(): HTMLElement;
  componentWillLoad(): void;
  render(): HTMLElement;
}
